Subject: Re: [PATCH] powerpc: Fix the corrupt r3 error during MCE handling.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 11 Jul 2013 14:42:27 +1000

On Thu, 2013-07-11 at 10:04 +0530, Mahesh Jagannath Salgaonkar wrote:
> > I always got that error and used to wonder why I find FWNMI
> > corrupt. IS this a rtas bug or is it documented in papr ?
> 
> Nope. There is no mention of it in PAPR. It looks like a bug in RTAS.

Typically, the top bit in real mode means to ignore the HRMOR... I think
it's some old bug in RTAS indeed.

Cheers,
Ben.